<?PHP
/************************************************************************/
/* NPDS V : Net Portal Dynamic System .                                 */
/* ===========================                                          */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001-2004 by Philippe Brunier   */
/*                                                                      */
/*                                                                      */
/* IPBAN                                                                */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/**********************************/
/* 05.01.2001 - martvin@box43.pl  */
/**********************************/
/* 12.09.2002 - Achel_Jay         */
/**********************************/
/* Adaptation pour NPDS-Plugins   */
/**********************************/
if (!strstr($PHP_SELF,"admin.php")) { Access_Error(); }

function ConfigureBan($ModPath, $ModStart) {
   OpenTable();
   echo "<TABLE WIDTH=\"100%\" CELLSPACING=\"2\" CELLPADDING=\"2\" BORDER=\"0\"><TR><TD CLASS=\"HEADER\">\n";
   echo ipban_translate("Administration de l'IpBan");
   echo "</TD></TR></TABLE>\n";

   OpenTable();
   // C'est bien admin.php qui appelé mais avec les codes opérations op ET subop
   echo"<form action=\"admin.php\" method=\"post\">";
   if (file_exists("modules/$ModPath/data_ban.php"))
      include ("modules/$ModPath/data_ban.php");
   echo "<center>".ipban_translate("Attention, le séparateur entre deux adresses IP est => |")." (ex : 126.1.1.1<b>|</b>126.126.*<b>|</b>2.5.*.1<b>|</b>...)</center><BR>";
   echo ipban_translate("Liste des IP bannies")."<BR><textarea CLASS=\"TEXTBOX\" name=\"ipban\" cols=\"60\" rows=\"8\">$ip_ban</textarea>\n<BR><BR><BR>";
   if (file_exists("modules/$ModPath/dns_ban.php"))
      include ("modules/$ModPath/dns_ban.php");
   echo "<center>".ipban_translate("Attention, le séparateur entre deux DNS est => |")." (ex : npds.org<b>|</b>*.wanadoo.fr<b>|</b>*.info<b>|</b>...)</center><BR>";
   echo ipban_translate("Liste des DNS bannis")."<BR><textarea CLASS=\"TEXTBOX\" name=\"dnsban\" cols=\"60\" rows=\"8\">$dns_ban</textarea>\n"
        ."&nbsp;<input CLASS=\"BOUTON_STANDARD\" type=\"submit\" value=\"".ipban_translate("Sauver")."\">";

   // lignes obligatoires pour pouvoir utiliser NPDS-plugins
   echo "<input type=\"hidden\" name=\"op\" value=\"Extend-Admin-SubModule\">";
   echo "<input type=\"hidden\" name=\"ModPath\" value=\"$ModPath\">";
   echo "<input type=\"hidden\" name=\"ModStart\" value=\"$ModStart\">";
   // sous-opération du module
   echo "<input type=\"hidden\" name=\"subop\" value=\"SaveSetBan\">";
   // lignes obligatoires pour pouvoir utiliser NPDS-plugins
   echo "</form>";
   closeTable();

   CloseTable();
}

function SaveSetBan($Xip_ban,$Xdns_ban, $ModPath, $ModStart) {
   $file = fopen("modules/$ModPath/data_ban.php", "w");
   $content = "<?php\n";
   $content .= "\$ip_ban = \"$Xip_ban\";\n";
   $content .= "?>";
   fwrite($file, $content);
   fclose($file);

   $file = fopen("modules/$ModPath/dns_ban.php", "w");
   $content = "<?php\n";
   $content .= "\$dns_ban = \"$Xdns_ban\";\n";
   $content .= "?>";
   fwrite($file, $content);
   fclose($file);

   SC_clean();
}

if ($admin) {
   // inclusion du fichier de traduction : L'origine est TOUJOURS le Français
   include ("modules/$ModPath/ipban.lang-$language.php");

   switch ($subop) {
       case "SaveSetBan":
       SaveSetBan($ipban,$dnsban, $ModPath, $ModStart);

       default:
       ConfigureBan($ModPath, $ModStart);
    break;
   }
}
?>